/* Body font */
body {
  font-family: "Roboto", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

/* Heading fonts */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Nunito", sans-serif;
}

/* Fonts */
:root {
  --heading-font: "Nunito", sans-serif;
  --nav-font: "Poppins", sans-serif;
}

/* Colors */
:root {
  --primary-color: #012970;
  --bs-primary: var(--primary-color);
  --bs-heading-color: var(--primary-color);
  --bs-primary-rgb: 1, 41, 112;
  --bs-link-color-rgb: 1, 41, 112;
  --bs-link-hover-color-rgb: 65, 84, 241;
  --bs-btn-bg: var(--primary-color);
}

/* Smooth scroll */
:root {
  scroll-behavior: smooth;
}

/* Past conferences */
.past-conferences-widget ul a span {
  font-size: 0.8rem;
}

.past-conferences-widget ul a:hover {
  color: rgb(var(--bs-link-color-rgb)) !important;
}

/* Recent news widget */
.recent-news-widget .news-item h4 a:hover {
  color: rgb(var(--bs-link-color-rgb)) !important;
}

/* Disable aos animation delay on mobile devices */
@media screen and (max-width: 768px) {
  [data-aos-delay] {
    transition-delay: 0 !important;
  }
}

/* Scroll Top Button */
.scroll-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  width: 40px;
  height: 40px;
  transition: all 0.4s;
  background-color: var(--bs-primary);
}
/* When active Scroll Top Button */
.scroll-top.active {
  visibility: visible;
  opacity: 1;
}

.scroll-top i {
  line-height: 0;
}

.scroll-top:hover {
  background-color: color-mix(in srgb, var(--bs-primary), transparent 20%);
  color: #ffffff;
}


/* When scrolled put shadow on header */
.scrolled .header {
  box-shadow: var(--bs-box-shadow) !important;
}

/* Apply transition to header */
.header {
  transition: all 0.5s;
}

/* Links ruleset */
a {
  transition: 0.3s;
}

.navmenu {
  a {
    text-decoration: none;
  }

  a:hover {
    text-decoration: none;
  }
}

.header {
  a {
    text-decoration: none;
  }

  a:hover {
    text-decoration: none;
  }
}

.breadcrumbs {
  a {
    text-decoration: none;
  }

  a:hover {
    text-decoration: underline;
  }
}

.recent-news-widget {
  a {
    text-decoration: none;
  }

  a:hover {
    text-decoration: underline;
  }
}

.past-conferences-widget {
  a {
    text-decoration: none;
  }

  a:hover {
    text-decoration: underline;
  }
}

/* Navmenu - Desktop */
@media (min-width: 1200px) {
  .navmenu {
    padding: 0;
  }

  .navmenu ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
    flex-wrap: wrap;
  }

  .navmenu li {
    position: relative;
  }

  .navmenu a,
  .navmenu a:focus {
    color: #012970;
    padding: 18px 12px;
    font-size: 15px;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    transition: 0.3s;
  }

  .navmenu a i,
  .navmenu a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    transition: 0.3s;
  }

  .navmenu li:last-child a {
    padding-right: 0;
  }

  .navmenu li:hover>a,
  .navmenu .active,
  .navmenu .active:focus {
    color: #4154f1;
  }

  .navmenu .dropdown ul {
    margin: 0;
    padding: 10px 0;
    background: #ffffff;
    display: block;
    position: absolute;
    visibility: hidden;
    left: 14px;
    top: 130%;
    opacity: 0;
    transition: 0.3s;
    border-radius: 4px;
    z-index: 99;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .navmenu .dropdown ul li {
    min-width: 200px;
  }

  .navmenu .dropdown ul a {
    padding: 10px 20px;
    font-size: 15px;
    text-transform: none;
    color: #212529;
  }

  .navmenu .dropdown ul a i {
    font-size: 12px;
  }

  .navmenu .dropdown ul a:hover,
  .navmenu .dropdown ul .active:hover,
  .navmenu .dropdown ul li:hover>a {
    color: #4154f1;
  }

  .navmenu .dropdown:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }

  .navmenu .dropdown .dropdown ul {
    top: 0;
    left: -90%;
    visibility: hidden;
  }

  .navmenu .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: -100%;
    visibility: visible;
  }
}

/* Navmenu - Mobile */
@media (max-width: 1199px) {
  .mobile-nav-toggle {
    color: #012970;
    font-size: 28px;
    line-height: 0;
    margin-right: 10px;
    cursor: pointer;
    transition: color 0.3s;
  }

  .navmenu {
    padding: 0;
    z-index: 9997;
  }

  .navmenu ul {
    display: none;
    list-style: none;
    position: absolute;
    inset: 60px 20px 20px 20px;
    padding: 10px 0;
    margin: 0;
    border-radius: 6px;
    background-color: #ffffff;
    overflow-y: auto;
    transition: 0.3s;
    z-index: 9998;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .navmenu a,
  .navmenu a:focus {
    color: #212529;
    padding: 10px 20px;
    font-family: "Poppins", sans-serif;
    font-size: 17px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    transition: 0.3s;
  }

  .navmenu a i,
  .navmenu a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: 0.3s;
    background-color: color-mix(in srgb, #4154f1, transparent 90%);
  }

  .navmenu a i:hover,
  .navmenu a:focus i:hover {
    background-color: color-mix(in srgb, var(--bs-primary), transparent 20%);
    color: #ffffff;
  }

  .navmenu a:hover,
  .navmenu .active,
  .navmenu .active:focus {
    color: color-mix(in srgb, var(--bs-primary), transparent 20%);
  }

  .navmenu .active i,
  .navmenu .active:focus i {
    background-color: color-mix(in srgb, var(--bs-primary), transparent 20%);
    color: #ffffff;
    transform: rotate(180deg);
  }

  .navmenu .dropdown ul {
    position: static;
    display: none;
    z-index: 99;
    padding: 10px 0;
    margin: 10px 20px;
    background-color: #ffffff;
    border: 1px solid color-mix(in srgb, #444444, transparent 90%);
    box-shadow: none;
    transition: all 0.5s ease-in-out;
  }

  .navmenu .dropdown ul ul {
    background-color: rgba(33, 37, 41, 0.1);
  }

  .navmenu .dropdown>.dropdown-active {
    display: block;
    background-color: rgba(33, 37, 41, 0.03);
  }

  .mobile-nav-active {
    overflow: hidden;
  }

  .mobile-nav-active .mobile-nav-toggle {
    color: #fff;
    position: absolute;
    font-size: 32px;
    top: 15px;
    right: 15px;
    margin-right: 0;
    z-index: 9999;
  }

  .mobile-nav-active .navmenu {
    position: fixed;
    overflow: hidden;
    inset: 0;
    background: rgba(33, 37, 41, 0.8);
    transition: 0.3s;
  }

  .mobile-nav-active .navmenu>ul {
    display: block;
  }
}

/* Listing Dropdown - Desktop */
@media (min-width: 1200px) {
  .navmenu .listing-dropdown {
    position: static;
  }

  .navmenu .listing-dropdown ul {
    margin: 0;
    padding: 10px;
    background: #ffffff;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 130%;
    left: 0;
    right: 0;
    visibility: hidden;
    opacity: 0;
    display: flex;
    transition: 0.3s;
    border-radius: 4px;
    z-index: 99;
  }

  .navmenu .listing-dropdown ul li {
    flex: 1;
  }

  .navmenu .listing-dropdown ul li a,
  .navmenu .listing-dropdown ul li:hover>a {
    padding: 10px 20px;
    font-size: 15px;
    color: #212529;
    background-color: #ffffff;
  }

  .navmenu .listing-dropdown ul li a:hover,
  .navmenu .listing-dropdown ul li .active,
  .navmenu .listing-dropdown ul li .active:hover {
    color: color-mix(in srgb, var(--bs-primary), transparent 20%);
    background-color: #ffffff;
  }

  .navmenu .listing-dropdown:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }
}

/* Listing Dropdown - Mobile */
@media (max-width: 1199px) {
  .navmenu .listing-dropdown ul {
    position: static;
    display: none;
    z-index: 99;
    padding: 10px 0;
    margin: 10px 20px;
    background-color: #ffffff;
    border: 1px solid color-mix(in srgb, #444444, transparent 90%);
    box-shadow: none;
    transition: all 0.5s ease-in-out;
  }

  .navmenu .listing-dropdown ul ul {
    background-color: rgba(33, 37, 41, 0.1);
  }

  .navmenu .listing-dropdown>.dropdown-active {
    display: block;
    background-color: rgba(33, 37, 41, 0.03);
  }
}